Create a folder
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/folders
Path Parameters
- clientIdstringrequiredDescription
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Form Parameters
- folderTypestring<mailing | messageTemplate | customBlacklist | image | recipientList | attachment>requiredDescriptionAllowedmailingmessageTemplatecustomBlacklistimagerecipientListattachment
- parentIdinteger<int64>DescriptionFormatint64
- namestringrequiredDescription
Responses
201
- RestFolder
- idinteger<int64>DescriptionFormatint64
- namestringDescription
- parentIdinteger<int64>DescriptionFormatint64
- childrenIdsinteger[]Description
- createdstring<date-time>DescriptionFormatdate-time
- linksobject[]Description
- uriBuilderobject
- relsstring[]
- relstring
- typestring
- paramsmap<string, string>
- titlestring
- uristring<uri>Formaturi
400
404
curl
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/folders \
--header 'accept: application/json' \
--header 'content-type: application/x-www-form-urlencoded' \
--data 'folderType=mailing' \
--data 'name=string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/x-www-form-urlencoded");
var urlencoded = new URLSearchParams();
urlencoded.append("folderType", "mailing");
urlencoded.append("name", "string");
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: urlencoded,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/folders", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/folders")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/x-www-form-urlencoded"
request.body = "folderType=mailing&name=string"
response = https.request(request)
puts response.read_body
python
import requests
url = "https://api.campaign.episerver.net/rest/{clientId}/folders"
payload = 'folderType=mailing&name=string'
headers = {
'accept': 'application/json',
'content-type': 'application/x-www-form-urlencoded'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
201
// The folder was created successfully.
{
"id": "",
"name": "",
"parentId": "",
"childrenIds": [
0
],
"created": "",
"links": [
{
"uriBuilder": {},
"rels": [
""
],
"rel": "",
"type": "",
"params": "",
"title": "",
"uri": ""
}
]
}400
// Either ["name" or "folderType"] is not provided or "folderType" is not in {mailing, messageTemplate, customBlacklist, image, recipientList, attachment}. Ensure that the required parameters are added and "folderType" is correct.
404
// The parent folder could not be found. Ensure that "parentId" is correct and the parent folder exists.